[cig-commits] r3861 - short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c

willic3 at geodynamics.org willic3 at geodynamics.org
Fri Jun 23 08:06:03 PDT 2006


Author: willic3
Date: 2006-06-23 08:06:03 -0700 (Fri, 23 Jun 2006)
New Revision: 3861

Added:
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-debug.sh
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-lithomop.sh
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-test.sh
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c.sh
Log:
Added shell scripts to run test problems.



Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-debug.sh
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-debug.sh	2006-06-23 15:01:08 UTC (rev 3860)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-debug.sh	2006-06-23 15:06:03 UTC (rev 3861)
@@ -0,0 +1,58 @@
+#!/bin/bash
+# ======================================================================
+#
+# Shell script to run PyLith using SCEC benchmark 1 (low resolution,
+# 2 materials).
+#
+# ======================================================================
+
+if [ $# != 1 ]; then
+  echo "usage: runbm1c-debug.sh NPROCS"
+  exit 1
+fi
+nprocs=$1
+
+simroot="bm1c"
+dupext="fuldat prop statevar time"
+sinext="coord connect bc split"
+
+pyreflags="-typos=relaxed"
+echo "Pyre flags:"
+echo $pyreflags
+
+pylithflags="-pl3dscan.fileRoot=${simroot}_$nprocs \
+  -pl3dscan.asciiOutput=full \
+  -pl3dscan.ucdOutput=ascii"
+# Do not use pythonTimestep for now until all the bugs are worked out.
+#  -pl3dscan.ucdOutput=ascii \
+#  -pl3dscan.pythonTimestep=1 "
+echo "PyLith flags:"
+echo $pylithflags
+
+petscflags="-log_summary \
+  -pc_type bjacobi \
+  -sub_pc_type ilu \
+  -ksp_monitor \
+  -ksp_view \
+  -ksp_rtol 1e-09 \
+  -start_in_debugger"
+echo "PETSc flags:"
+echo $petscflags
+
+echo "Setting up symbolic links with prefix ${simroot}_${nprocs}..."
+for ext in $sinext; do
+  ln -s $simroot.$ext ${simroot}_$nprocs.$ext
+done
+for ext in $dupext; do
+  for (( i=0; i < $nprocs; i+=1 )); do
+    ln -s $simroot.$ext ${simroot}_$nprocs.$i.$ext
+  done
+done
+
+echo "Running PyLith..."
+cmd="mpiexec -np $nprocs pylith3dapp.py $pyreflags $pylithflags $petscflags"
+
+echo $cmd
+eval $cmd
+
+# end of file


Property changes on: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-debug.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-lithomop.sh
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-lithomop.sh	2006-06-23 15:01:08 UTC (rev 3860)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-lithomop.sh	2006-06-23 15:06:03 UTC (rev 3861)
@@ -0,0 +1,51 @@
+#!/bin/bash
+# ======================================================================
+#
+# Shell script to run LithoMop using SCEC benchmark 1 (low resolution,
+# 2 materials).
+#
+# ======================================================================
+
+if [ $# != 0 ]; then
+  echo "usage: runbm1c-lithomop.sh"
+  exit 1
+fi
+suff="lm"
+
+simroot="bm1c"
+dupext="fuldat prop statevar time"
+sinext="coord connect bc split"
+
+pyreflags="-typos=relaxed"
+echo "Pyre flags:"
+echo $pyreflags
+
+lithomopflags="-lm3dscan.fileRoot=${simroot}_$suff \
+  -lm3dscan.asciiOutput=none \
+  -lm3dscan.ucdOutput=binary"
+echo "LithoMop flags:"
+echo $lithomopflags
+
+petscflags="-log_summary \
+  -pc_type bjacobi \
+  -sub_pc_type ilu \
+  -ksp_monitor \
+  -ksp_rtol 1e-09"
+echo "PETSc flags:"
+echo $petscflags
+
+echo "Setting up symbolic links with prefix ${simroot}_${suff}..."
+for ext in $sinext; do
+  ln -s $simroot.$ext ${simroot}_$suff.$ext
+done
+for ext in $dupext; do
+  ln -s $simroot.$ext ${simroot}_$suff.$ext
+done
+
+echo "Running LithoMop..."
+cmd="lithomop3dapp.py $pyreflags $lithomopflags $petscflags"
+
+echo $cmd
+eval $cmd
+
+# end of file


Property changes on: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-lithomop.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-test.sh
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-test.sh	2006-06-23 15:01:08 UTC (rev 3860)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-test.sh	2006-06-23 15:06:03 UTC (rev 3861)
@@ -0,0 +1,56 @@
+#!/bin/bash
+# ======================================================================
+#
+# Shell script to run PyLith using SCEC benchmark 1 (low resolution,
+# 2 materials).
+#
+# ======================================================================
+
+if [ $# != 1 ]; then
+  echo "usage: runbm1c-test.sh NPROCS"
+  exit 1
+fi
+nprocs=$1
+
+simroot="bm1c"
+dupext="fuldat prop statevar time"
+sinext="coord connect bc split"
+
+pyreflags="-typos=relaxed"
+echo "Pyre flags:"
+echo $pyreflags
+
+pylithflags="-pl3dscan.fileRoot=${simroot}_$nprocs \
+  -pl3dscan.asciiOutput=echo \
+  -pl3dscan.ucdOutput=ascii"
+# Do not use pythonTimestep for now until all the bugs are worked out.
+#  -pl3dscan.ucdOutput=ascii \
+#  -pl3dscan.pythonTimestep=1 "
+echo "PyLith flags:"
+echo $pylithflags
+
+petscflags="-log_summary \
+  -pc_type bjacobi \
+  -sub_pc_type ilu \
+  -ksp_monitor \
+  -ksp_rtol 1e-09"
+echo "PETSc flags:"
+echo $petscflags
+
+echo "Setting up symbolic links with prefix ${simroot}_${nprocs}..."
+for ext in $sinext; do
+  ln -s $simroot.$ext ${simroot}_$nprocs.$ext
+done
+for ext in $dupext; do
+  for (( i=0; i < $nprocs; i+=1 )); do
+    ln -s $simroot.$ext ${simroot}_$nprocs.$i.$ext
+  done
+done
+
+echo "Running PyLith..."
+cmd="mpiexec -np $nprocs pylith3dapp.py $pyreflags $pylithflags $petscflags"
+
+echo $cmd
+eval $cmd
+
+# end of file


Property changes on: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c-test.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c.sh
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c.sh	2006-06-23 15:01:08 UTC (rev 3860)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c.sh	2006-06-23 15:06:03 UTC (rev 3861)
@@ -0,0 +1,56 @@
+#!/bin/bash
+# ======================================================================
+#
+# Shell script to run PyLith using SCEC benchmark 1 (low resolution,
+# 2 materials).
+#
+# ======================================================================
+
+if [ $# != 1 ]; then
+  echo "usage: runbm1c.sh NPROCS"
+  exit 1
+fi
+nprocs=$1
+
+simroot="bm1c"
+dupext="fuldat prop statevar time"
+sinext="coord connect bc split"
+
+pyreflags="-typos=relaxed"
+echo "Pyre flags:"
+echo $pyreflags
+
+pylithflags="-pl3dscan.fileRoot=${simroot}_$nprocs \
+  -pl3dscan.asciiOutput=none \
+  -pl3dscan.ucdOutput=binary"
+# Do not use pythonTimestep for now until all the bugs are worked out.
+#  -pl3dscan.ucdOutput=ascii \
+#  -pl3dscan.pythonTimestep=1 "
+echo "PyLith flags:"
+echo $pylithflags
+
+petscflags="-log_summary \
+  -pc_type bjacobi \
+  -sub_pc_type ilu \
+  -ksp_monitor \
+  -ksp_rtol 1e-09"
+echo "PETSc flags:"
+echo $petscflags
+
+echo "Setting up symbolic links with prefix ${simroot}_${nprocs}..."
+for ext in $sinext; do
+  ln -s $simroot.$ext ${simroot}_$nprocs.$ext
+done
+for ext in $dupext; do
+  for (( i=0; i < $nprocs; i+=1 )); do
+    ln -s $simroot.$ext ${simroot}_$nprocs.$i.$ext
+  done
+done
+
+echo "Running PyLith..."
+cmd="mpiexec -np $nprocs pylith3dapp.py $pyreflags $pylithflags $petscflags"
+
+echo $cmd
+eval $cmd
+
+# end of file


Property changes on: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1c/runbm1c.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the Cig-commits mailing list